import { AfterViewInit, ElementRef, AfterContentInit, OnChanges, OnDestroy } from "@angular/core";
import { FormGroup } from "@angular/forms";
import "prismjs/prism";
import "prismjs/components/prism-typescript";
import "prismjs/components/prism-sql";
import "prismjs/components/prism-http";
import { FormItem, FormSettings } from "../../models";
export declare class FormPrismComponent implements AfterViewInit, AfterContentInit, OnChanges, OnDestroy {
    private observer;
    group: FormGroup;
    config: FormItem;
    settings: FormSettings;
    rawViewChild: ElementRef;
    codeViewChild: ElementRef;
    constructor();
    onContentChanged(): void;
    ngAfterViewInit(): void;
    ngOnChanges(): void;
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
    encodeEntities(value: any): any;
}
