import { ComponentFactoryResolver, ComponentRef, OnChanges, OnInit, ViewContainerRef } from "@angular/core";
import { FormGroup } from "@angular/forms";
import { Field, FormSettings } from "../models";
export declare class DynamicFieldDirective implements Field, OnChanges, OnInit {
    private resolver;
    private container;
    group: FormGroup;
    config: any;
    settings: FormSettings;
    readonly isValid: boolean;
    component: ComponentRef<Field>;
    constructor(resolver: ComponentFactoryResolver, container: ViewContainerRef);
    ngOnChanges(): void;
    ngOnInit(): void;
}
