import { OnChanges, SimpleChanges, EventEmitter } from "@angular/core";
import { FormGroup } from "@angular/forms";
import { FormItem, FormSettings, FormSubmitButton } from "./models/index";
export declare class NgxAntdJsonSchemaFormComponent implements OnChanges {
    schema: FormItem[];
    settings: FormSettings;
    registeredForm: EventEmitter<FormGroup>;
    formChange: EventEmitter<any>;
    formTouch: EventEmitter<any>;
    submit: EventEmitter<any>;
    formValid: EventEmitter<boolean>;
    form: FormGroup;
    submitButtonConfig: FormItem;
    formSettings: FormSettings;
    constructor();
    ngOnChanges(changes: SimpleChanges): void;
    registerForm(): void;
    handleSubmit(event: Event): void;
    onFormUpdate(): void;
    createGroup(schema: any): FormGroup;
    handleEmitters(): void;
    getDefaultSettings(): FormSettings;
    getSubmitButtonConfig(newConfig?: FormSubmitButton): FormItem;
    mergeFormSettings(dest: FormSettings, source: FormSettings): FormSettings;
}
